Imagick::getImageScene
Imagick::getImageSize
Imagick
PHP Manual

# Imagick::getImageSignature

(PECL imagick 2.0.0)

Imagick::getImageSignature — Generates an SHA-256 message digest

### Description

string Imagick::getImageSignature ( void )

Generates an SHA-256 message digest for the image pixel stream.

### Return Values

Returns a string containing the SHA-256 hash of the file.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::getImageScene
Imagick::getImageSize
Imagick
PHP Manual